import { type DevServerContext } from '../../types/index.js';
import type { TransformOptions } from '@lwc/compiler';
import type { Lifecycle, Logger } from '@salesforce/core';
export declare function compile(ctx: DevServerContext, modulePath: string, options: TransformOptions, logger: Logger, lifecycle?: Lifecycle): Promise<{
    code: string | undefined;
    warnings: string[];
}>;
