import { globSync } from 'glob';
import { BaseWorkspaceScanner } from './scanner.js';
/**
 * This scanner will accept paths and builds a list of module ids to component paths.
 */
export default class SalesforceCliWorkspaceScanner extends BaseWorkspaceScanner {
    findModuleDirs() {
        return this.modulesPaths.flatMap((packageDir) => globSync(`${packageDir}/*/`));
    }
    getNamespace(_moduleDir) {
        return 'c';
    }
}
//# sourceMappingURL=salesforceCli.js.map